@echo off

rem ---------------------------------------------------------------------------
rem * works ok with http output (requires 'webcam /h' running)
rem + ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/
rem ---------------------------------------------------------------------------
rem ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/

rem ---------------------------------------------------------------------------
rem * works ok with npipe output (requires 'webcam /n' running)
rem + ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video
rem ---------------------------------------------------------------------------
rem ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video


rem ---------------------------------------------------------------------------
rem * works ok with http output (invokes 'webcam /h' first)
rem + webcam /h | ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/
rem ---------------------------------------------------------------------------
rem webcam /h | ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/

rem ---------------------------------------------------------------------------
rem * works ok with named pipe output (invokes 'webcam /n' first)
rem + webcam /n | ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video
rem ---------------------------------------------------------------------------
rem webcam /n | ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video

rem ---------------------------------------------------------------------------
rem * works ok with stdout output (invokes 'webcam /s' first)
rem + webcam /s | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem webcam /s | ffplay -f mjpeg -framerate 50 -i -


rem ---------------------------------------------------------------------------
rem * works ok with dell e6500 webcam and logitech c250 webcam
rem ---------------------------------------------------------------------------
rem + webcam /h /n /s /u /c /r6 | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem + webcam /h /n /s /u /c /r7 | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem + webcam /h /n /s /u /c /r8 | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem + webcam /h /n /s /u /c /r9 | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem ---------------------------------------------------------------------------


rem ---------------------------------------------------------------------------
rem * works ok with logitech c250 webcam
rem ---------------------------------------------------------------------------
rem + mjpg/color/resolution/http/pipe/stdout
rem + webcam /m/r18/h/n/s | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem webcam /m/r18/h/n/s | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -

rem ---------------------------------------------------------------------------
rem * works ok with dell e6500 webcam and logitech c250 webcam
rem ---------------------------------------------------------------------------
rem + yuyv/color/resolution/http/pipe/stdout
rem + webcam /u/c/r18/h/n/s | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem ---------------------------------------------------------------------------
webcam /u/c/r18/h/n/s | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -

